Name:          freehep-chartableconverter-plugin
Version:       2.0
Release:       %mkrel 1
Summary:       FreeHEP Character Table Converter Plugin 
Group:         Development/Java
License:       LGPL
Url:           http://java.freehep.org/freehep-chartableconverter-plugin/
Source0:       freehep-chartableconverter-plugin-%{version}-src-svn.tar.gz
Patch0:        freehep-chartableconverter-plugin-2.0-plexus-utils.patch
Patch1:        freehep-chartableconverter-plugin-2.0-noparent.patch
BuildRequires: maven
BuildRequires: maven-plugin-plugin
BuildRequires: plexus-compiler
BuildRequires: plexus-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
Converts 16 bit Unicode text files into lookup tables.
These tables are used by the VectorGraphics package to
include and embed fonts in the output formats.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
FreeHEP Character Table Converter Plugin.

This package contains javadoc for %{name}.

%prep
%setup -q -n freehep-chartableconverter-plugin
%patch0 -p0
%patch1 -p0

%build
export MAVEN_REPO_LOCAL=$PWD/.m2/repository

mvn \
  -e \
  -Dmaven2.jpp.mode=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  -Dmaven.test.skip=true \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 target/freehep-chartableconverter-plugin-%{version}.jar %{buildroot}%{_javadir}

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-freehep-chartableconverter-plugin.pom
%add_to_maven_depmap org.freehep freehep-chartableconverter-plugin %{version} JPP freehep-chartableconverter-plugin

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/freehep-chartableconverter-plugin-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/freehep-chartableconverter-plugin-%{version}
ln -sf freehep-chartableconverter-plugin-%{version}  %{buildroot}%{_javadocdir}/freehep-chartableconverter-plugin

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/freehep-chartableconverter-plugin-%{version}.jar
%{_javadir}/freehep-chartableconverter-plugin.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/freehep-chartableconverter-plugin-%{version}
%{_javadocdir}/freehep-chartableconverter-plugin



%changelog
* Thu Jul 28 2011 dmorgan <dmorgan> 2.0-1.mga2
+ Revision: 130019
- Clean spec file

* Fri Jun 10 2011 gil <gil> 2.0-0.mga2
+ Revision: 102903
- imported package freehep-chartableconverter-plugin


* Tue Jun 07 2011 gil <gil> 2.0-0.%%mkrel
- initial rpm